Linux内核整数溢出漏洞 影响Red Hat、CentOS、Debian发行版

  • A+
所属分类:网络安全新闻
阿里


推广者专属福利,新客户无门槛领取总价值高达2775元代金券,每种代金券限量500张,先到先得。

Linux内核整数溢出漏洞 影响Red Hat、CentOS、Debian发行版

安全研究人员在Linux内核中发现了一个新的整数溢出漏洞,称为Mutagen Astronomy,它影响Red Hat,CentOS和Debian发行版。

非特权用户可以利用此漏洞获得对目标系统的超级用户访问权限。

安全公司Qualys的研究人员发现了这一缺陷,他们分享了Mutagen天文学漏洞的技术细节,包括概念验证(PoC)漏洞利用(漏洞1, 漏洞2)。

由CVE-2018-14634影响的缺陷影响2007年7月至2017年7月期间发布的内核版本,Linux内核版本2.6.x,3.10.x和4.14.x,容易受到Mutagen天文学漏洞的影响。

Red Hat Enterprise Linux 5附带的Linux内核版本不受此问题的影响。

Mutagen Astronomy漏洞存在于Linux内核中用于管理内存表的create_elf_tables()函数中。

我们在Linux内核的create_elf_tables()函数中发现了整数溢出:在64位系统上,本地攻击者可以通过SUID-root二进制文件利用此漏洞并获得完全root权限。”阅读Qualys发布的安全公告。

只有内核提交b6a2fea39318(”mm:可变长度参数支持,自2007年7月19日起)但没有提交da029c11e6b1(”exec:将arg堆栈限制为_STK_LIM的最多75%,自2017年7月7日起)可以被利用。向后移植的大多数Linux发行版都将da029c11e6b1提交给他们长期支持的内核,但Red Hat Enterprise Linux和CentOS(以及Debian 8,当前的 oldstable ”版本)都没有,因此容易受到攻击。

与其他本地特权升级问题一样,利用此缺陷会请求访问目标系统并执行触发缓冲区溢出的漏洞利用代码。

一旦攻击者触发了缓冲区溢出,它就可以在受影响的计算机上执行任意代码并接管它。

在Linux内核的create_elf_tables()函数中发现了整数溢出漏洞。无权限的本地用户可以访问SUID(或其他特权)二进制文件,可以使用此漏洞升级他们在系统上的权限。阅读 Red Hat发布的安全公告。

这个问题不会影响32位系统,因为它们没有足够大的地址空间来利用这个漏洞。由于开发期间的内存需求,内存小于32GB的系统不太可能受此问题的影响。

此问题不会影响Red Hat Enterprise Linux 5附带的Linux内核版本。此问题会影响Red Hat Enterprise Linux 6,7和Red Hat Enterprise MRG 2附带的内核软件包版本.Red的未来内核更新Hat Enterprise Linux 6,7和Red Hat Enterprise MRG 2将解决这个问题。Red Hat Enterprise Linux,CentOS和Debian 8 Jessie还没有解决这个漏洞。

CE安全网

发表评论

:?: :razz: :sad: :evil: :!: :smile: :oops: :grin: :eek: :shock: :???: :cool: :lol: :mad: :twisted: :roll: :wink: :idea: :arrow: :neutral: :cry: :mrgreen: